@use '@gouvfr/dsfr/src/dsfr/core/index' as dsfr;
@use '@gouvfr/dsfr/src/module/media-query' as dsfr-media-query;

.form-grid {
  width: 100%;
}

.form-grid > *:not(.fr-col-12, .fr-col-6, .fr-fieldset__legend) {
  @include dsfr.grid-col(12);

  padding: 0.5rem;

  @include dsfr-media-query.respond-from('lg') {
    @include dsfr.grid-col(4);

    padding: 0.75rem;
  }
}

.form-grid > {
  .fr-input-group,
  .fr-select-group {
    align-self: flex-end;

    &:last-child {
      margin-bottom: 1.5rem;
    }
  }
}

.fr-input-group--disabled .fr-input-wrap {
  cursor: not-allowed;

  .fr-input:read-only {
    color: var(--text-disabled-grey);
    box-shadow: inset 0 -2px 0 0 var(--border-disabled-grey);
    pointer-events: none;
  }

  &.fr-icon-calendar-line::before {
    color: var(--text-disabled-grey);
  }

  &::before {
    color: var(--text-disabled-grey);
  }
}

.fr-input-group--disabled .fr-label {
  color: var(--text-disabled-grey);
}

.fr-select-group > .fr-hint-text {
  margin-top: 1rem;
}

.field-label {
  color: var(--text-mention-grey);
}

.field-value {
  color: var(--text-label-grey);
}

.comment-form {
  width: 100%;
  margin-right: 4px; /* Allow to display right ouline of the comment textarea */
}

// Hide DSFR calendar icon on date input on Firefox as the browser already embed one
// stylelint-disable-next-line at-rule-no-vendor-prefix
@-moz-document url-prefix() {
  .fr-input-group .fr-input-wrap.fr-icon-calendar-line {
    &::after,
    &::before {
      content: none;
    }

    .fr-input[type='date'] {
      padding-right: 1rem;
    }
  }
}
